<?php
class FLASHCHAT_CMP_ChatStatusWidget extends BASE_CLASS_Widget
{
	public function __construct( BASE_CLASS_WidgetParameter $paramObj ){
        parent::__construct();
        
		$chatsetting = FLASHCHAT_BOL_FlashchatDao::getInstance()->getSettings();
		
    	$status = FLASHCHAT_CLASS_Flashchat::getInstance()->getStatus();
    	
    	if($chatsetting->user_list == 1){
    		$users = FLASHCHAT_CLASS_Flashchat::getInstance()->getUsers();
    		$this->assign('chatUsers', $users);
    	}
    	if($chatsetting->room_list == 1 && $chatsetting->extendserver != 2){
    		$rooms = FLASHCHAT_CLASS_Flashchat::getInstance()->getRooms();
    		$this->assign('chatRooms', $rooms);
    	}
    	
    	$this->assign('chatsetting', $chatsetting);   
    	$this->assign('chatStatus', $status);
    	$this->assign('home_url', OW_URL_HOME);
    }
    
	public static function getAccess(){
        return self::ACCESS_ALL;
    }
    
	public static function getStandardSettingValueList(){
        return array(
            self::SETTING_TITLE => OW::getLanguage()->text('123flashchat', 'chat_status'),
            self::SETTING_ICON => self::ICON_CHAT,
            self::SETTING_WRAP_IN_BOX => true,
            self::SETTING_SHOW_TITLE => true
        );
    }
}